co.aikar.commands

## Class RegisteredCommand<CEC extends CommandExecutionContext<CEC,? extends CommandIssuer>>

- java.lang.Object
- - co.aikar.commands.RegisteredCommand<CEC>

    public class RegisteredCommand<CEC extends CommandExecutionContext<CEC,? extends CommandIssuer>>
    extends Object

### Field Summary

Fields
`String` `helpSearchTags`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addSubcommand(String cmd)`
`void` `addSubcommands(Collection<String> cmd)`
`<T extends Annotation> T` `getAnnotation(Class<T> annotation)`
`String` `getCommand()`
`String` `getHelpText()`
`String` `getPermission()` Deprecated.
`String` `getPrefSubCommand()`
`Set<String>` `getRequiredPermissions()`
`String` `getSyntaxText()`
`boolean` `isPrivate()`
`void` `postCommand()`
`void` `preCommand()`
`boolean` `requiresPermission(String permission)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### helpSearchTags

    public String helpSearchTags

### Method Detail

#### preCommand

    public void preCommand()

#### postCommand

    public void postCommand()

#### getPermission

    @Deprecated
    public String getPermission()

Deprecated.

See Also:
  `getRequiredPermissions()`

#### getRequiredPermissions

    public Set<String> getRequiredPermissions()

#### requiresPermission

    public boolean requiresPermission(String permission)

#### getPrefSubCommand

    public String getPrefSubCommand()

#### getSyntaxText

    public String getSyntaxText()

#### getHelpText

    public String getHelpText()

#### isPrivate

    public boolean isPrivate()

#### getCommand

    public String getCommand()

#### addSubcommand

    public void addSubcommand(String cmd)

#### addSubcommands

    public void addSubcommands(Collection<String> cmd)

#### getAnnotation

    public <T extends Annotation> T getAnnotation(Class<T> annotation)